---
approval_policy:
- name: secrets
  description: ''
  enabled: true
  rules:
  - type: scan_finding
    scanners:
    - secret_detection
    vulnerabilities_allowed: 0
    severity_levels: []
    vulnerability_states: []
    branch_type: protected
  actions:
  - type: require_approval
    approvals_required: 1
    role_approvers:
    - maintainer
  approval_settings:
    block_branch_modification: true
    prevent_pushing_and_force_pushing: true
